## visad.paoloa.spline
Class Spline

    java.lang.Object
      visad.paoloa.spline.Spline

public class Spline
extends Object

Nested Class Summary
`(package private) class` `Spline.SplinePanel`

Field Summary
`(package private) ConstantMap[][]` `cmaps`
`(package private) double[][]` `d_range`
`(package private) float[]` `domain_values`
`(package private) Set` `domainSet`
`(package private) double[][]` `f_range`
`(package private) FunctionType` `f_type`
`(package private) double[][]` `g_range`
`(package private) FlatField` `gcv_field`
`(package private) DataReference` `gcv_fieldRef`
`(package private) boolean` `java2d`
`(package private) DataReference` `lambda_ref`
`(package private) double` `last_noise_fac`
`(package private) int` `mode`
`(package private) int` `n_samples`
`(package private) double[]` `noise`
`(package private) double[]` `noise_a`
`(package private) double` `noise_fac`
`(package private) DataReference` `noise_ref`
`(package private) Real` `nothing`
`(package private) DataReference[]` `range_refs`
`(package private) double[]` `range_values`
`(package private) Real[]` `reals`
`(package private) FlatField` `rlambda_field`
`(package private) DataReference` `rlambda_fieldRef`
`(package private) DataReference` `rlambda_ref`
`(package private) double[]` `rlambda_values`
`(package private) FlatField` `spline_field`
`(package private) DataReference` `spline_fieldRef`
`(package private) double[]` `spline_range`
`(package private) DataReference` `spline_ref`
`(package private) boolean` `toggle`
`(package private) FlatField` `true_field`
`(package private) DataReference` `true_fieldRef`
`(package private) double[]` `true_values`
`(package private) RealTuple[]` `tuples`
`(package private) double` `val`
`(package private) double[]` `values`
`(package private) DataReference` `wk_ref`
`(package private) double` `wk_value`
`(package private) double[]` `wkvalue`

Constructor Summary
`Spline(String filename)`

Method Summary
`void` `getspline_c(double[] y, double[] y_s0, double val, int mode, double[] wkvalue)`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toggle

    boolean toggle

### nothing

    Real nothing

### java2d

    boolean java2d

### rlambda_ref

    DataReference rlambda_ref

### lambda_ref

    DataReference lambda_ref

### wk_ref

    DataReference wk_ref

### noise_ref

    DataReference noise_ref

### spline_ref

    DataReference spline_ref

### spline_fieldRef

    DataReference spline_fieldRef

### rlambda_fieldRef

    DataReference rlambda_fieldRef

### true_fieldRef

    DataReference true_fieldRef

### gcv_fieldRef

    DataReference gcv_fieldRef

### n_samples

    int n_samples

### domain_values

    float[] domain_values

### range_values

    double[] range_values

### true_values

    double[] true_values

### rlambda_values

    double[] rlambda_values

### noise

    double[] noise

### noise_a

    double[] noise_a

### d_range

    double[][] d_range

### f_range

    double[][] f_range

### g_range

    double[][] g_range

### spline_range

    double[] spline_range

### values

    double[] values

### val

    double val

### wkvalue

    double[] wkvalue

### noise_fac

    double noise_fac

### last_noise_fac

    double last_noise_fac

### wk_value

    double wk_value

### mode

    int mode

### rlambda_field

    FlatField rlambda_field

### spline_field

    FlatField spline_field

### gcv_field

    FlatField gcv_field

### true_field

    FlatField true_field

### domainSet

    Set domainSet

### f_type

    FunctionType f_type

### range_refs

    DataReference[] range_refs

### tuples

    RealTuple[] tuples

### reals

    Real[] reals

### cmaps

    ConstantMap[][] cmaps

Constructor Detail

### Spline

    public Spline(String filename)
           throws VisADException,
                  RemoteException,
                  IOException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException,
                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### getspline_c

    public void getspline_c(double[] y,
                            double[] y_s0,
                            double val,
                            int mode,
                            double[] wkvalue)